Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Learn & Support


Avid Home Page

Go Back   Avid Pro Audio Community > Pro Tools Software > Pro Tools 2018

Reply
 
Thread Tools Search this Thread Display Modes
  #21  
Old 06-12-2018, 01:30 PM
jryser's Avatar
jryser jryser is offline
Member
 
Join Date: Nov 2011
Location: Plainfield, IN
Posts: 920
Default Re: Waves V10 compatibility?

Quote:
Originally Posted by musicman691 View Post
I know the only way to go to V10 is to WUP and I'm not looking to get V10 for any reason. I'm more concerned if I buy an existing Waves plugin ( that I don't have) that it will be V10 which I can't use because I'm staying on Yosemite and not going to El Crapitan because I'm on PT11.3.2. If that's the deal then no more Waves plugins for me.


Same here!


Sent from my iPhone using Tapatalk
__________________
A Rig: MacBook Pro Spring 2013, 2.8Ghz I7, 16GB RAM,
OSX Mavericks 10.9.4, PT 11.2, MBox Pro 3, Glyph GT 050 Qx3 1.5 TB drives Thunderbolt-FW400, Presonus Faderport. 10 REMOVED!
B Rig:MacBook Pro Spring 11, 2.33 GHz I7, 16GB RAM, OSX Mavericks 10.9.4, PT 11.2, MBox Pro 3, Glyph Portagig 62 portable 1 TB drive Firewired with 400, Presonus Faderport. 10 REMOVED!
I am the main songwriter/performer for Midwest Whitetail, Cabela's Deer Nation, Spring Thunder, and Northern Waters Series!
Reply With Quote
  #22  
Old 06-12-2018, 02:43 PM
The Weed's Avatar
The Weed The Weed is offline
Member
 
Join Date: Jul 2001
Location: Toronto, Ontario, Canada
Posts: 6,114
Default Re: Waves V10 compatibility?

I would ask Waves themselves, you may be able to get v9 installers for their plug-ins.
__________________
Take your projects to the next level with a
non-union national read at a reasonable rate
Demos: brucehayward dot com
Source-Connect: brucehayward
Reply With Quote
  #23  
Old 06-12-2018, 02:48 PM
Panacci Panacci is offline
Member
 
Join Date: Mar 2008
Location: Toronto
Posts: 200
Default Re: Waves V10 compatibility?

$300.00 Canadian for us up here. Making me think a bit.
__________________
2009 8 Core Mac 5.1, (32 gigs Ram), 2011 MacBookPro , 828MKIII Hybrid , 8Pre, OSX High Sierra/Sierra, DP10, MachV3, PT12 Vanilla (latest) , Peak 7, Logic 9 ,WaveLab 9.5, DSP-Quattro 5 ,many plugins , mics and synths. http://www.panaccimusic.com
Reply With Quote
  #24  
Old 06-12-2018, 02:56 PM
off the wall's Avatar
off the wall off the wall is offline
Member
 
Join Date: May 2004
Location: NYC-NJ
Posts: 198
Default Re: Waves V10 compatibility?

Quote:
Originally Posted by musicman691 View Post
I know the only way to go to V10 is to WUP and I'm not looking to get V10 for any reason. I'm more concerned if I buy an existing Waves plugin ( that I don't have) that it will be V10 which I can't use because I'm staying on Yosemite and not going to El Crapitan because I'm on PT11.3.2. If that's the deal then no more Waves plugins for me.
It's covered in their V10 FAQ. New plug-ins will be V10 with V9 installers of those that exist. V10 and V9 can run together as long as you don't have two versions of the same plug-in. V10 license covers V9 plug-ins as well in case you have to run v9 for Legacy OS reasons.
__________________
offthewallproductions
Mac Pro 5,1 3.46 Ghz 12 core, AMD 7970 GPU, SSD boot drive on 6Gb/sec PCIe card, 36GB RAM, MacOS 10.14.5.
Pro Tools Ultimate 2019.6. HDX, UA Octo PCIe cards, HD I/O, C|24 control surface.
Mostly Avid, Waves, Sonnex and UAD Plug-ins
Genelec 1031AP/7070A 5.1 monitoring.
Reply With Quote
  #25  
Old 06-12-2018, 06:41 PM
DJ Hellfire DJ Hellfire is offline
Member
 
Join Date: Jul 2008
Location: New Jersey
Posts: 2,030
Default Re: Waves V10 compatibility?

Quote:
Originally Posted by gnjlee View Post
I am not sure how you go from 9.2 to 10 without any significant changes.
Seriously. Luckily I was covered under WUP.
__________________
www.HellfireBeats.com

Akai MPC 2000XL, Akai MPC X, Mackie 1202VLZ Pro, Akai Advance 61, Focal Alpha 80, UAD 2 Apollo Quad, UAD 2 Satellite Quad, UAD 2 Octo PCIe, Neve R6 "Lunch Box", Neve Portico 511, Neve Portico 551, Neumann TLM49

Pro Tools 2018.10

Mac Pro 4,1 (5,1 upgrade), Early-2009, 3.46GHz Nehalem 12-Core, 32GB RAM - OS 10.12.6

13" MacBook Pro, Late-2011, 2.4GHz Dual Core i5, 16GB RAM - OS 10.12.6

27" iMac, Late-2012, 3.4GHz i7, 24GB RAM - OS 10.12.6
Reply With Quote
  #26  
Old 06-12-2018, 07:28 PM
off the wall's Avatar
off the wall off the wall is offline
Member
 
Join Date: May 2004
Location: NYC-NJ
Posts: 198
Default Re: Waves V10 compatibility?

BTW:

I've had V10 installed for a day now, running many sessions. No issues.
__________________
offthewallproductions
Mac Pro 5,1 3.46 Ghz 12 core, AMD 7970 GPU, SSD boot drive on 6Gb/sec PCIe card, 36GB RAM, MacOS 10.14.5.
Pro Tools Ultimate 2019.6. HDX, UA Octo PCIe cards, HD I/O, C|24 control surface.
Mostly Avid, Waves, Sonnex and UAD Plug-ins
Genelec 1031AP/7070A 5.1 monitoring.
Reply With Quote
  #27  
Old 06-12-2018, 09:16 PM
SigFriedChicken's Avatar
SigFriedChicken SigFriedChicken is offline
Member
 
Join Date: Jun 2016
Location: Central Florida
Posts: 318
Default Re: Waves V10 compatibility?

Waves 10 is running fine here, though it seems like the built-in undo button that all Waves plugins have at the top left is no longer active if you load a preset via the standard Pro Tools plugin menu (vs doing directly from within the Waves plugin menu). I think in v9, I could load a preset from the PT plugin menu and then click the Waves undo button to back out of it, but maybe I'm just mis-remembering that. The undo button still works if you make edits or load presets directly via the Waves plugin menu.

The installation was a bit confusing since I allowed it to uninstall the v9 plugs and couldn't figure out why it hadn't installed the v10 ones yet. When I reopened a session it complained that all of the Waves plugins were missing. It turned out that in addition to updating Waves Central, there is a separate step where you must go to their website and click a button to upgrade to v10. After this, you must go back to Waves Central and redownload and reinstall everything. Horizon and Mercury now include a CP-80 electric piano plugin, so the download may take awhile to grab the sample library, especially if you pick the HD versions.

Once it was all done, everything has been working fine. Of course, I couldn't tell you one thing that looks improved, so it's hard to recommend upgrading unless you have a WUP that is going to expire soon.
__________________
Pro Tools 2018.4 | OS X High Sierra | RME
Reply With Quote
  #28  
Old 06-12-2018, 11:00 PM
zion's Avatar
zion zion is offline
Member
 
Join Date: Dec 2010
Location: Washington DC
Posts: 1,042
Default Re: Waves V10 compatibility?

Quote:
Originally Posted by The Weed View Post
I would ask Waves themselves, you may be able to get v9 installers for their plug-ins.
You can still get a full Installer of V9 but you have to cipher through all the plugins just to install the ones you have purchased, also you can no longer create an offline installer with Waves Central of only the plugins you own. You can only do that with V10 now. Waves Central will no longer give you any V9 plugins. You have to login to Waves.Com to download the V9 full Installer. The buck stops here! I'm no longer a heavy Waves user so I will not be Wuping. I haven't been for about for about 10 years now. I mostly use UAD and Softube.
__________________
Pro Tools 2019.6 | Studio One 4.5 Pro | Pro Tools 12.5.2 HD | Apollo X8 | UAD Octo Sat | UAD Quad Sat | Mac Mini 2018 i7 | 16GB Ram | 512GB SSD | Mojave 10.14.3 | OWC ThunderBay 4 | Drives’s Samsung EVO 860 + 840 + Crucial M4 SSD | Plugins | UAD, Softube, Waves, Nugen, Fabfilter, SSL, Lexicon, Eastwest, NI KOMP 9 ULT, PSP, IKMulti, Antares, Celemony, Slate Dig, etc | AKAI Pro Adv 61 | PreSonus Fader Port | Townsend Labs Sphere L22

Last edited by zion; 06-14-2018 at 11:40 AM. Reason: Added more info
Reply With Quote
  #29  
Old 06-16-2018, 02:21 PM
JCBigler's Avatar
JCBigler JCBigler is offline
Member
 
Join Date: Feb 2004
Location: Tulsa, OK
Posts: 2,710
Default Re: Waves V10 compatibility?

Quote:
Originally Posted by clausiii View Post
what exactly doesn't work?
I upgraded my licenses and installed Waves plugins to Version 10.

Now when I open an existing Protools session (2018.4 on Windows), Protools gives me an error that says several of my Waves plugins including Q10 and C4 are not compatible with the session sample rate. And then Protools crashes. After I uninstalled all of my Waves plugins, and ran Protools again, it worked fine, except that now I don'w have any of my Waves plugins available.

I've downloaded the offline installer for V9 and am trying to reinstall them now, but it appears that I have to install each plugin individually. I have the Horizion bundle, along with Restoration, and about a dozen other individual plugins. Not happy at all.
__________________
Justice C. Bigler
www.justicebigler.com
Head Audio/A1 Blue Man Group: Speechless tour

Home/mobile: Lenovo P50: quad-core i7-6820hq, 64GB, 2TB SSD, Win 10 Pro / Focusrite Red 8Pre / Protools HD Native 2018.10 Ultimate
Reply With Quote
  #30  
Old 06-16-2018, 04:48 PM
SigFriedChicken's Avatar
SigFriedChicken SigFriedChicken is offline
Member
 
Join Date: Jun 2016
Location: Central Florida
Posts: 318
Default Re: Waves V10 compatibility?

Yikes. What sample rate is the project at?
__________________
Pro Tools 2018.4 | OS X High Sierra | RME
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Waves Plugin Compatibility Emerging Sound VENUE Live Sound Systems 6 12-18-2012 12:14 AM
Waves 7 Compatibility Applebee Pro Tools TDM Systems (Mac) 4 11-06-2009 10:50 PM
Waves compatibility with 7.4? WildHoney Pro Tools TDM Systems (Mac) 22 11-23-2007 05:48 PM
Waves V4 compatibility with PT7 Ridger 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Win) 6 12-21-2005 07:17 PM
5.1.1 and Waves 3.2 compatibility DigiDawg Pro Tools TDM Systems (Mac) 6 07-22-2001 09:17 AM


All times are GMT -7. The time now is 07:35 PM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com